---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "12"
  version: 8060020220621120033
  context: 9edba152
  arch: i686
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1

        %_with_shared_brotli 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: a4f1a01202e8728a233e14c7e2202776158457ed
        buildorder: 100
        arches: [aarch64, i686, ppc64le, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: dd4be523087d95a87b8d85c0b83479ad1017e143
        buildorder: 200
        arches: [aarch64, i686, ppc64le, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 3bb83df0fe2202e1c58858542d0c25b2b78db80e
        buildorder: 10
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - nodejs-nodemon-0:2.0.3-1.module_el8.4.0+2521+c668cc9f.noarch
    - nodejs-nodemon-0:2.0.3-1.module_el8.4.0+2521+c668cc9f.src
    - nodejs-nodemon-0:2.0.3-1.module_el8.5.0+85+79a7b441.noarch
    - nodejs-nodemon-0:2.0.3-1.module_el8.5.0+85+79a7b441.src
    - nodejs-packaging-0:17-3.module_el8.4.0+2521+c668cc9f.noarch
    - nodejs-packaging-0:17-3.module_el8.4.0+2521+c668cc9f.src
    - nodejs-packaging-0:17-3.module_el8.5.0+85+79a7b441.noarch
    - nodejs-packaging-0:17-3.module_el8.5.0+85+79a7b441.src
...
